<input id="search-box" placeholder="Search for Country" type="text" [(ngModel)]='query' (ngModelChange)='filterTable()'>

<div>
    <!-- <table>
        <tr>
            <th class="{{this.dataService.themeColor.dark}} con" style="z-index: 2;">Country</th>
            <th class="{{this.dataService.themeColor.dark}}">Total Cases</th>
            <th class="{{this.dataService.themeColor.dark}}">Active Cases</th>
            <th class="{{this.dataService.themeColor.dark}}">Recovered Cases</th>
            <th class="{{this.dataService.themeColor.dark}}">Critical Cases</th>
            <th class="{{this.dataService.themeColor.dark}}">Deaths</th>
        </tr>
        <tr *ngFor='let item of this.dataService.filterData'>
            <td class="cons">{{item.con}}</td>
            <td>{{item.total}}</td>
            <td>{{item.active}}</td>
            <td>{{item.recovered}}</td>
            <td>{{item.critical}}</td>
            <td>{{item.deaths}}</td>
        </tr>
    </table> -->
    <ag-grid-angular style="width: 100%; height: 100%;" class="ag-theme-alpine" [rowData]="this.dataService.filterData"
    [columnDefs]="columnDefs" (gridReady)="onGridReady($event)">
</ag-grid-angular>
</div>